## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class CSSStyleType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.CSSStyleType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

    public class CSSStyleType

extends AbstractRootTypeDescriptor
implements IMetaDataEnabledFeature

Represents CSS style attribute. No features currently supported.

Provisional API - subject to change

Constructor Summary
`CSSStyleType()` Constructor

Method Summary

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### CSSStyleType

    public CSSStyleType()

  Constructor